Subject: bug#59620: 29.0.50; Wrong global-mode-string position in tab-bar + emacs -nw

From: Gabriel <[email-masked]>
Date: Sun, 27 Nov 2022 05:05:58 -0300

Eli Zaretskii <[email-masked]> writes:

>
> Looks like tab-bar-format-align-right is evaluated with the wrong window
> being the selected one: it should use the tab-bar pseudo-window to do what
> you expect.

I don't know what is the root cause, but it's a reasonable hypothesis.
Not sure why it only affects "emacs -nw", though.

Do you know how to get the tab-bar pseudo-window?  It seems that
"f->tab_bar_window" it's not exposed from C to elisp.

Anyway, I think it's a bug.  Maybe Juri can help on this.  I will try to
find a fix, but I can't promise.

---
Gabriel